## kpipewire 6.5.1+p24.04+vstable+git20251029.0813

=== debian/changelog ===
kpipewire (6.5.1+p24.04+vstable+git20251029.0813-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:13:20 +0000

kpipewire (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:13:18 +0000
