## kpipewire 6.5.2+p24.04+vunstable+git20251114.0659

=== debian/changelog ===
kpipewire (6.5.2+p24.04+vunstable+git20251114.0659-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 14 Nov 2025 06:59:08 +0000

kpipewire (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:55 +1000
