## kpipewire 6.5.3+p24.04+vunstable+git20251122.2334

=== debian/changelog ===
kpipewire (6.5.3+p24.04+vunstable+git20251122.2334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 23:34:05 +0000

kpipewire (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:29 +1000
