=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpipewire
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -19,8 +20,8 @@
                libegl-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
                libpipewire-0.3-dev,
                libswscale-dev,
                libva-dev,
@@ -29,15 +30,16 @@
                pipewire-bin,
                pkgconf,
                plasma-wayland-protocols,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-base-private-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
-               qt6-wayland-dev (>= 6.6.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.9.0+dfsg~),
+               qt6-base-private-dev (>= 6.9.0+dfsg~),
+               qt6-declarative-dev (>= 6.9.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.0+dfsg~),
+               qt6-wayland-dev (>= 6.9.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kpipewire
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpipewire
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpipewire.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
+Rules-Requires-Root: no
 
 Package: libkpipewire-data
 Architecture: all
@@ -57,7 +59,7 @@
          libkpipewirerecord6 (= ${binary:Version}),
          libpipewire-0.3-dev,
          qml6-module-org-kde-pipewire (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.9.0+dfsg~),
          ${misc:Depends},
 Description: KDE's Pipewire libraries - development files
  Components for rendering and recording PipeWire streams using Qt.
@@ -100,9 +102,7 @@
 Package: qml6-module-org-kde-pipewire
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: KDE's Pipewire libraries - QML module
  Components for rendering and recording PipeWire streams using Qt.
  .
