## kpipewire 6.5.4+p24.04+vstable+git20251231.0058

=== debian/changelog ===
kpipewire (6.5.4+p24.04+vstable+git20251231.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 00:58:35 +0000

kpipewire (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:44 +1000
