## kpipewire 6.5.4+p24.04+vstable+git20260105.0810

=== debian/changelog ===
kpipewire (6.5.4+p24.04+vstable+git20260105.0810-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:10:24 +0000
