## kpipewire 6.5.5+p24.04+vstable+git20260122.0437

=== debian/changelog ===
kpipewire (6.5.5+p24.04+vstable+git20260122.0437-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 04:37:19 +0000
