## kpipewire 6.5.5+p24.04+vstable+git20260131.0212

=== debian/changelog ===
kpipewire (6.5.5+p24.04+vstable+git20260131.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:12:07 +0000
