## kpipewire 6.5.5+p24.04+vunstable+git20260201.0621

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 project(KPipewire)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(KF6_MIN_VERSION "6.18.0")
+set(KF6_MIN_VERSION "6.22.0")
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 include(KDEInstallDirs)
@@ -27,7 +27,7 @@
 
 find_package(EGL REQUIRED)
 
-pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3 REQUIRED)
+pkg_check_modules(PipeWire IMPORTED_TARGET libpipewire-0.3>=0.3.33 REQUIRED)
 
 # ffmpeg, for recording
 pkg_check_modules(AVCodec IMPORTED_TARGET libavcodec REQUIRED)
