=== debian/changelog ===
kpipewire (6.5.5+p24.04+vunstable+git20260201.0621-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:21:02 +0000
