=== debian/changelog ===
kpipewire (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update symbols.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:13:24 +0000

kpipewire (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:55:01 +0000

kpipewire (6.5.4-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Dec 2025 12:04:43 +0000
