=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
                libavcodec-dev,
                libavfilter-dev,
@@ -20,8 +20,8 @@
                libegl-dev,
                libepoxy-dev (>= 1.3~),
                libgbm-dev,
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
                libpipewire-0.3-dev,
                libswscale-dev,
                libva-dev,
@@ -30,11 +30,11 @@
                pipewire-bin,
                pkgconf,
                plasma-wayland-protocols,
-               qt6-base-dev (>= 6.9.0+dfsg~),
-               qt6-base-private-dev (>= 6.9.0+dfsg~),
-               qt6-declarative-dev (>= 6.9.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.9.0+dfsg~),
-               qt6-wayland-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0+dfsg~),
+               qt6-base-private-dev (>= 6.10.0+dfsg~),
+               qt6-declarative-dev (>= 6.10.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.10.0+dfsg~),
+               qt6-wayland-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kpipewire
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpipewire
@@ -59,7 +59,7 @@
          libkpipewirerecord6 (= ${binary:Version}),
          libpipewire-0.3-dev,
          qml6-module-org-kde-pipewire (= ${binary:Version}),
-         qt6-base-dev (>= 6.9.0+dfsg~),
+         qt6-base-dev (>= 6.10.0+dfsg~),
          ${misc:Depends},
 Description: KDE's Pipewire libraries - development files
  Components for rendering and recording PipeWire streams using Qt.
@@ -102,7 +102,9 @@
 Package: qml6-module-org-kde-pipewire
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: KDE's Pipewire libraries - QML module
  Components for rendering and recording PipeWire streams using Qt.
  .
